# Chromebrew-buildout-re6st
Contains the source files to generate the re6stnet package in _chromebrew_ using the _buildout_ build system

## Updating
Whenever the master branch of this package is modified, the checksum has to be updated in any _chromebrew_ repository (right now just [ours](https://lab.nexedi.com/nexedi/chromebrew/blob/re6stnet/packages/re6stnet.rb), but in the future hopefully [upstream](https://github.com/skycocker/chromebrew)).
A modification of this repository should also correspond to a new build being uploaded at <https://softinst62285.host.vifib.net/public/re6stnet-0.494-chromeos-x86_64.tar.xz>, and the checksum of this new package should be changed in the _chromebrew_ recipe. Unfortunately, our build system and _chromebrew_'s are incompatible, so we have to take the following shortcut
```
crew build re6stnet # unless re6stnet has already been installed on your machine through _chromebrew_:
rm re6stnet-0.494-chromeos-x86_64.tar.xz*
mkdir -p /usr/local/tmp/crew/dest/usr/local/opt/
cp -r /usr/local/opt/re6st /usr/local/tmp/crew/dest/usr/local/opt/
rm -rf /usr/local/tmp/crew/dest/usr/local/opt/re6st/download-cache
crew build re6stnet
```
